1. Stoaked13's Avatar
    Hi, I'm trying to run Pokemon Go on a HTC Desire 826, but it says "This device, OS or software is not compatible with Pokemon Go".

    I looked on the website, and the phone has the minimal requirements to run it.
    Android Version is: 5.0.2
    Phone is NOT ROOTED.

    Any feedback or help is welcome. I'm struggling with this for some time now.

    EDIT: http://www.gsmarena.com/htc_desire_8...l_sim-6921.php
    02-01-2017 05:24 AM
  2. Lucy Davies's Avatar
    How much RAM does your phone have? The game needs at least 2GB of RAM to run.
    02-02-2017 06:18 AM
  3. Stoaked13's Avatar
    It has Octa core (not Intel) and it has 2Gb of RAM
    02-03-2017 09:47 AM

Similar Threads

  1. Which sideloaded apps work best with the Shield TV?
    By Swapnil Vartak in forum NVIDIA Shield Android TV
    Replies: 1
    Last Post: 03-21-2017, 10:37 PM
  2. S7 wi-fi issues on nougat
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 02-01-2017, 11:34 AM
  3. does the usb to hdmi conversion work on the galaxy s6
    By AC Question in forum Samsung Galaxy S6
    Replies: 2
    Last Post: 02-01-2017, 11:23 AM
  4. Replies: 1
    Last Post: 02-01-2017, 05:45 AM
LINK TO POST COPIED TO CLIPBOARD